using com.hnshituo.core.webapp.vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MeterBaseVideoinfoService
    {
        public RESTfulResult<List<MeterBaseVideoinfo>> doQueryWf(MeterBaseVideoinfo info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseVideoinfo>>> rm = db.doOption<PageList<List<MeterBaseVideoinfo>>>("meterbasevideoinfos", "/", new object[] { info }, 0);
            RESTfulResult<List<MeterBaseVideoinfo>> result = new RESTfulResult<List<MeterBaseVideoinfo>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;

            if (rm.Succeed && rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }
            return result;
        }
    }
}
